[Openvpn-devel] t_net.sh: execute sleep after checking exit code of previous command

Message ID 20190919202257.19405-1-a@unstable.cc
State Accepted
Headers show
Series [Openvpn-devel] t_net.sh: execute sleep after checking exit code of previous command | expand

Commit Message

Antonio Quartulli Sept. 19, 2019, 10:22 a.m. UTC
Ensure to check the exit code of the mktun command *before* running
sleep, otherwise '$?' will resolve to the exit code of sleep itself,
thus nullifying the check.

Reported-by: Steffan Karger <steffan@karger.me>
Signed-off-by: Antonio Quartulli <a@unstable.cc>
---
 tests/t_net.sh | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

Comments

Gert Doering Sept. 19, 2019, 10:36 a.m. UTC | #1
Acked-by: Gert Doering <gert@greenie.muc.de>

Your patch has been applied to the master branch.

"Yes, of course, Steffan is right" :-)

commit 6ccb3b2e3ae841934ecb461461ac1e212da64109
Author: Antonio Quartulli
Date:   Thu Sep 19 22:22:57 2019 +0200

     t_net.sh: execute sleep after checking exit code of previous command

     Signed-off-by: Antonio Quartulli <a@unstable.cc>
     Acked-by: Gert Doering <gert@greenie.muc.de>
     Message-Id: <20190919202257.19405-1-a@unstable.cc>
     URL: https://www.mail-archive.com/openvpn-devel@lists.sourceforge.net/msg18845.html
     Signed-off-by: Gert Doering <gert@greenie.muc.de>


--
kind regards,

Gert Doering

Patch

diff --git a/tests/t_net.sh b/tests/t_net.sh
index 97e947ab..49790f0f 100755
--- a/tests/t_net.sh
+++ b/tests/t_net.sh
@@ -35,17 +35,17 @@  reload_dummy()
     $RUN_SUDO $openvpn --dev $IFACE --dev-type tun --rmtun >/dev/null
     $RUN_SUDO $openvpn --dev $IFACE --dev-type tun --mktun >/dev/null
 
+    if [ $? -ne 0 ]; then
+        echo "can't create interface $IFACE"
+        exit 1
+    fi
+
     # it seems that tun devices will settle on NO-CARRIER while not connected to
     # any process, but this won't happen immediately. To avoid having the
     # NO-CARRIER bit appear in the middle of the tests - which would compromise
     # the results - let's wait 1 sec here for it to settle.
     sleep 1
 
-    if [ $? -ne 0 ]; then
-        echo "can't create interface $IFACE"
-        exit 1
-    fi
-
     #ip link set dev $IFACE address 00:11:22:33:44:55
 }